rpmal-py.c File Reference
PYTHON-C Language Bindings.
`#include "system.h"`
`#include <rpmio.h>`
`#include <rpmiotypes.h>`
`#include <rpmtypes.h>`
`#include <rpmtag.h>`
`#include "rpmal-py.h"`
`#include "rpmds-py.h"`
`#include "rpmfi-py.h"`
`#include "debug.h"`
Include dependency graph for rpmal-py.c:

Go to the source code of this file.

## Functions

static PyObject * | rpmal_Add (rpmalObject *s, PyObject *args, PyObject *kwds)
static PyObject * | rpmal_Del (rpmalObject *s, PyObject *args, PyObject *kwds)
static PyObject * | rpmal_AddProvides (rpmalObject *s, PyObject *args, PyObject *kwds)
static PyObject * | rpmal_MakeIndex (rpmalObject *s)
static void | rpmal_dealloc (rpmalObject *s)
static PyObject * | rpmal_getattro (PyObject *o, PyObject *n)
static int | rpmal_setattro (PyObject *o, PyObject *n, PyObject *v)
rpmalObject * | rpmal_Wrap (rpmal al)

## Variables

static struct PyMethodDef | rpmal_methods []
static char | rpmal_doc []
PyTypeObject | rpmal_Type

## Function Documentation

static PyObject* rpmal_Add | ( | rpmalObject * | s,
|  | PyObject * | args,
|  | PyObject * | kwds
| ) |  |

static

Definition at line 20 of file rpmal-py.c.

References rpmalObject_s::al, rpmdsObject_s::ds, rpmfiObject_s::fi, rpmalAdd(), rpmds_Type, and rpmfi_Type.

static PyObject* rpmal_AddProvides | ( | rpmalObject * | s,
|  | PyObject * | args,
|  | PyObject * | kwds
| ) |  |

static

Definition at line 60 of file rpmal-py.c.

References rpmalObject_s::al, rpmdsObject_s::ds, rpmalAddProvides(), and rpmds_Type.

static void rpmal_dealloc | ( | rpmalObject * | s | ) |

static

Definition at line 111 of file rpmal-py.c.

References rpmalObject_s::al, and rpmalFree().

static PyObject* rpmal_Del | ( | rpmalObject * | s,
|  | PyObject * | args,
|  | PyObject * | kwds
| ) |  |

static

Definition at line 42 of file rpmal-py.c.

References rpmalObject_s::al, and rpmalDel().

static PyObject* rpmal_getattro | ( | PyObject * | o,
|  | PyObject * | n
| ) |  |

static

Definition at line 120 of file rpmal-py.c.

static PyObject* rpmal_MakeIndex | ( | rpmalObject * | s | ) |

static

Definition at line 83 of file rpmal-py.c.

References rpmalObject_s::al, and rpmalMakeIndex().

static int rpmal_setattro | ( | PyObject * | o,
|  | PyObject * | n,
|  | PyObject * | v
| ) |  |

static

Definition at line 126 of file rpmal-py.c.

## Variable Documentation

char rpmal_doc[]

static

Initial value:
=
""

Definition at line 135 of file rpmal-py.c.

struct PyMethodDef rpmal_methods[]

static

Initial value:
= {
{"add", (PyCFunction)rpmal_Add, METH_VARARGS|METH_KEYWORDS,
NULL},
{"delete", (PyCFunction)rpmal_Del, METH_VARARGS|METH_KEYWORDS,
NULL},
{"addProvides",(PyCFunction)rpmal_AddProvides, METH_VARARGS|METH_KEYWORDS,
NULL},
{"makeIndex",(PyCFunction)rpmal_MakeIndex, METH_NOARGS,
NULL},
{NULL, NULL }
}

Definition at line 95 of file rpmal-py.c.